InvalidAttributeValueException (Java Platform SE 8 )
Keywords: javax.management.InvalidAttributeValueException class
Date: 2026-04-22

compact3
javax.management

## Class InvalidAttributeValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.OperationsException
        - - javax.management.InvalidAttributeValueException

- All Implemented Interfaces:
    Serializable

      public class InvalidAttributeValueException
      extends OperationsException

  The value specified is not valid for the attribute.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidAttributeValueException()` Default constructor.
    `InvalidAttributeValueException(String message)` Constructor that allows a specific error message to be specified.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidAttributeValueException

          public InvalidAttributeValueException()

      Default constructor.

    - #### InvalidAttributeValueException

          public InvalidAttributeValueException(String message)

      Constructor that allows a specific error message to be specified.
      Parameters:
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.